[android-components](../../../index.md) / [mozilla.components.browser.icons](../../index.md) / [IconRequest](../index.md) / [Size](./index.md)

# Size

`enum class Size` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/icons/src/main/java/mozilla/components/browser/icons/IconRequest.kt#L32)

Supported sizes.

We are trying to limit the supported sizes in order to optimize our caching strategy.

### Enum Values

| Name | Summary |
|---|---|
| [DEFAULT](-d-e-f-a-u-l-t.md) |  |
| [LAUNCHER](-l-a-u-n-c-h-e-r.md) |  |
| [LAUNCHER_ADAPTIVE](-l-a-u-n-c-h-e-r_-a-d-a-p-t-i-v-e.md) |  |

### Properties

| Name | Summary |
|---|---|
| [dimen](dimen.md) | `val dimen: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) |
